com.google.gwt.user.client.ui

## Interface RichTextArea.BasicFormatter

All Known Subinterfaces:
  RichTextArea.ExtendedFormatter, RichTextArea.Formatter

Enclosing class:
  RichTextArea

Deprecated.
use `RichTextArea.Formatter` instead

    @Deprecated
    public static interface RichTextArea.BasicFormatter

This interface is used to access basic formatting options, when available. If the implementation supports basic formatting, then `RichTextArea.getBasicFormatter()` will return an instance of this class.

The formatter will format the user selected text in the `RichTextArea`. As a result, it will only work reliably if the `RichTextArea` is attached, visible to on the page, and has been focused at least once. If you just want to initialize the content of the `RichTextArea`, use `RichTextArea.setHTML(String)` instead.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.lang.String` `getBackColor()` Deprecated. Gets the background color.
`java.lang.String` `getForeColor()` Deprecated. Gets the foreground color.
`boolean` `isBold()` Deprecated. Is the current region bold?
`boolean` `isItalic()` Deprecated. Is the current region italic?
`boolean` `isSubscript()` Deprecated. Is the current region subscript?
`boolean` `isSuperscript()` Deprecated. Is the current region superscript?
`boolean` `isUnderlined()` Deprecated. Is the current region underlined?
`void` `selectAll()` Deprecated. Selects all the text.
`void` `setBackColor(java.lang.String color)` Deprecated. Sets the background color.
`void` `setFontName(java.lang.String name)` Deprecated. Sets the font name.
`void` `setFontSize(RichTextArea.FontSize fontSize)` Deprecated. Sets the font size.
`void` `setForeColor(java.lang.String color)` Deprecated. Sets the foreground color.
`void` `setJustification(RichTextArea.Justification justification)` Deprecated. Sets the justification.
`void` `toggleBold()` Deprecated. Toggles bold.
`void` `toggleItalic()` Deprecated. Toggles italic.
`void` `toggleSubscript()` Deprecated. Toggles subscript.
`void` `toggleSuperscript()` Deprecated. Toggles superscript.
`void` `toggleUnderline()` Deprecated. Toggles underline.

### Method Detail

#### getBackColor

    java.lang.String getBackColor()

Deprecated.
Gets the background color.

Returns:
  the background color

#### getForeColor

    java.lang.String getForeColor()

Deprecated.
Gets the foreground color.

Returns:
  the foreground color

#### isBold

    boolean isBold()

Deprecated.
Is the current region bold?

Returns:
  true if the current region is bold

#### isItalic

    boolean isItalic()

Deprecated.
Is the current region italic?

Returns:
  true if the current region is italic

#### isSubscript

    boolean isSubscript()

Deprecated.
Is the current region subscript?

Returns:
  true if the current region is subscript

#### isSuperscript

    boolean isSuperscript()

Deprecated.
Is the current region superscript?

Returns:
  true if the current region is superscript

#### isUnderlined

    boolean isUnderlined()

Deprecated.
Is the current region underlined?

Returns:
  true if the current region is underlined

#### selectAll

    void selectAll()

Deprecated.
Selects all the text.

#### setBackColor

    void setBackColor(java.lang.String color)

Deprecated.
Sets the background color.

Parameters:
  `color` - the new background color

#### setFontName

    void setFontName(java.lang.String name)

Deprecated.
Sets the font name.

Parameters:
  `name` - the new font name

#### setFontSize

    void setFontSize(RichTextArea.FontSize fontSize)

Deprecated.
Sets the font size.

Parameters:
  `fontSize` - the new font size

#### setForeColor

    void setForeColor(java.lang.String color)

Deprecated.
Sets the foreground color.

Parameters:
  `color` - the new foreground color

#### setJustification

    void setJustification(RichTextArea.Justification justification)

Deprecated.
Sets the justification.

Parameters:
  `justification` - the new justification

#### toggleBold

    void toggleBold()

Deprecated.
Toggles bold.

#### toggleItalic

    void toggleItalic()

Deprecated.
Toggles italic.

#### toggleSubscript

    void toggleSubscript()

Deprecated.
Toggles subscript.

#### toggleSuperscript

    void toggleSuperscript()

Deprecated.
Toggles superscript.

#### toggleUnderline

    void toggleUnderline()

Deprecated.
Toggles underline.